qmail-newmrh(8)

NAME
qmail-newmrh - prepare morercpthosts for qmail-smtpd

SYNOPSIS
qmail-newmrh

DESCRIPTION
qmail-newmrh reads the instructions in /var/qmail/control/morercpthosts and writes them into /var/qmail/control/morercpthosts.cdb in a binary format suited for quick access by qmail-smtpd. If there is a problem with control/morercpthosts, qmail-newmrh complains and leaves control/morercpthosts.cdb alone. qmail-newmrh ensures that control/morercpthosts.cdb is updated atomically, so qmail-smtpd never has to wait for qmail-newmrh to finish. However, qmail-newmrh makes no attempt to protect against two simultaneous updates of control/morercpthosts.cdb. The binary control/morercpthosts.cdb format is portable across machines.

SEE ALSO
qmail-smtpd(8)